/*
 * 
 *  This file is part of XmlParser.
 *
 *  Foobar is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Foobar is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
package org.sourceprojects.xmlparser;

/**
 * 
 * @author noctarius
 * @since 0.0.7
 */
public interface ProgressListener {

	/**
	 * Notifies a listener about percent values of parsing progress changed
	 * 
	 * @param percent
	 *            Value of actual parsing progress in percent
	 */
	void notify(int percent);

	/**
	 * Notifies a listener about internal reset of the InputStreams file
	 * position.<br>
	 * This does not needs to be position 0 since another position could be
	 * marked for reset, the best way for visual applications to react to that
	 * event is to show a continuous progressbar until next notify(int) event
	 * arrives.
	 */
	void notifyReset();
}
