/*
 * 
 *  This file is part of XmlParser.
 *
 *  Foobar is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Foobar is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
package org.sourceprojects.xmlparser.exceptions;

import org.sourceprojects.xmlparser.ResourceResolver;
import org.sourceprojects.xmlparser.XmlParser;

/**
 * An exception class that is thrown as wrapped exception on instantiation of
 * {@link ResourceResolver} and {@link XmlParser} if some exception occurs
 * 
 * @author noctarius
 * @since 0.0.1
 */
public class XmlParserInitializationException extends RuntimeException {
	private static final long serialVersionUID = -2334285430152519969L;

	public XmlParserInitializationException() {
		super();
	}

	public XmlParserInitializationException(String message, Throwable cause) {
		super(message, cause);
	}

	public XmlParserInitializationException(String message) {
		super(message);
	}

	public XmlParserInitializationException(Throwable cause) {
		super(cause);
	}

}
