/*
 * 
 *  This file is part of XmlParser.
 *
 *  Foobar is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Foobar is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
package org.sourceprojects.xmlparser.exceptions;

import org.sourceprojects.xmlparser.XmlParser;
import org.w3c.dom.Document;

/**
 * An exception class that is thrown as wrapped exception on parsing /
 * transforming xml {@link Document}s on {@link XmlParser} implementations
 * 
 * @author noctarius
 * @since 0.0.1
 */
public class XmlParserParsingException extends Exception {
	private static final long serialVersionUID = -910536554897959488L;

	public XmlParserParsingException() {
		super();
	}

	public XmlParserParsingException(String message, Throwable cause) {
		super(message, cause);
	}

	public XmlParserParsingException(String message) {
		super(message);
	}

	public XmlParserParsingException(Throwable cause) {
		super(cause);
	}

}
