/*
 * 
 *  This file is part of XmlParser.
 *
 *  Foobar is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Foobar is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
package org.sourceprojects.xmlparser.internal.dom;

import java.io.InputStream;
import java.io.Reader;

import org.w3c.dom.ls.LSInput;

/**
 * 
 * @author noctarius
 * @since 0.0.1
 */
public class LSInputImpl implements LSInput {
	private String baseURI = null;
	private InputStream byteStream = null;
	private boolean certifiedText = false;
	private Reader characterStream = null;
	private String encoding = null;
	private String publicId = null;
	private String stringData = null;
	private String systemId = null;
	
	@Override
	public String getBaseURI() {
		return baseURI;
	}

	@Override
	public InputStream getByteStream() {
		return byteStream;
	}

	@Override
	public boolean getCertifiedText() {
		return certifiedText;
	}

	@Override
	public Reader getCharacterStream() {
		return characterStream;
	}

	@Override
	public String getEncoding() {
		return encoding;
	}

	@Override
	public String getPublicId() {
		return publicId;
	}

	@Override
	public String getStringData() {
		return stringData;
	}

	@Override
	public String getSystemId() {
		return systemId;
	}

	@Override
	public void setBaseURI(String baseURI) {
		this.baseURI = baseURI;
	}

	@Override
	public void setByteStream(InputStream byteStream) {
		this.byteStream = byteStream;
	}

	@Override
	public void setCertifiedText(boolean certifiedText) {
		this.certifiedText = certifiedText;
	}

	@Override
	public void setCharacterStream(Reader characterStream) {
		this.characterStream = characterStream;
	}

	@Override
	public void setEncoding(String encoding) {
		this.encoding = encoding;
	}

	@Override
	public void setPublicId(String publicId) {
		this.publicId = publicId;
	}

	@Override
	public void setStringData(String stringData) {
		this.stringData = stringData;
	}

	@Override
	public void setSystemId(String systemId) {
		this.systemId = systemId;
	}

}
