/*
 * 
 *  This file is part of XmlParser.
 *
 *  Foobar is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Foobar is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
package org.sourceprojects.xmlparser.internal.osgi;

import org.osgi.framework.Bundle;
import org.sourceprojects.xmlparser.ResourceResolver;
import org.sourceprojects.xmlparser.XmlParser;
import org.sourceprojects.xmlparser.XmlParserFactory;
import org.sourceprojects.xmlparser.XmlParserOsgiFactory;
import org.sourceprojects.xmlparser.exceptions.XmlParserInitializationException;
import org.sourceprojects.xmlparser.internal.dom.OsgiResourceResolverImpl;

/**
 * 
 * @author noctarius
 * @since 0.0.5
 */
public class XmlParserOsgiFactoryImpl implements XmlParserOsgiFactory {
	private final Bundle bundle;
	
	public XmlParserOsgiFactoryImpl(Bundle bundle) {
		this.bundle = bundle;
	}
	
	@Override
	public <B> XmlParser<B> newParserInstance()
			throws XmlParserInitializationException {
		return XmlParserFactory.newInstance(getClass().getClassLoader());
	}

	@Override
	public ResourceResolver newResourceResolverInstance()
			throws XmlParserInitializationException {
		ResourceResolver resolver = new OsgiResourceResolverImpl(bundle);
		return resolver;
	}

}
